swig (3.0.0-1) unstable; urgency=low

  * Retarget to unstable.

 -- Torsten Landschoff <torsten@debian.org>  Wed, 02 Jul 2014 06:57:08 +0200

swig (3.0.0-0) experimental; urgency=low

  * New upstream release 3.0.0 (closes: #739910).
  * debian/control: Change source name from swig2.0 back to swig.

 -- Torsten Landschoff <torsten@debian.org>  Sun, 11 May 2014 16:48:37 +0200

swig2.0 (2.0.12-1) unstable; urgency=medium

  * New upstream release 2.0.12.
  * Build with Guile 2.0 (closes: #746016).
  * For some reason, GUILE_CFLAGS is set correctly again (closes: #701865).

 -- Torsten Landschoff <torsten@debian.org>  Sun, 11 May 2014 01:24:34 +0200

swig2.0 (2.0.11-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with the default Ruby instead of hardcoding ruby1.9.1.
     (Closes: #745927)

 -- Christian Hofstaedtler <christian@hofstaedtler.name>  Sat, 26 Apr 2014 17:23:59 +0200

swig2.0 (2.0.11-1) unstable; urgency=low

  * Merge new upstream release 2.0.11 (closes: #727188).
  * Use Ruby 1.9.1 instead of 1.8 which is about to be removed from sid.
    Thanks to Cédric Boutillier for the patch (closes: #722282).
  * Install swigp4.ml manually as the upstream Makefile fails to do so
    when using a separate build directory (closes: #725945).

 -- Torsten Landschoff <torsten@debian.org>  Fri, 25 Oct 2013 23:36:37 +0200

swig2.0 (2.0.10-1) unstable; urgency=low

  * New upstream release.

 -- Torsten Landschoff <torsten@debian.org>  Mon, 09 Sep 2013 22:06:54 +0200

swig2.0 (2.0.9-1) unstable; urgency=low

  * New upstream release.
  * Use dpkg-buildflags while building (lintian).

 -- Torsten Landschoff <torsten@debian.org>  Thu, 28 Feb 2013 00:37:38 +0100

swig2.0 (2.0.8-1) unstable; urgency=low

  * New upstream release.

 -- Torsten Landschoff <torsten@debian.org>  Wed, 31 Oct 2012 12:05:24 +0100

swig2.0 (2.0.7-3) unstable; urgency=low

  * Use /usr/bin/python instead of /usr/bin/python2.5 in debian/rules
    (closes: #675908).
  * Use default-jdk instead of gcj-jdk (closes: #675911). 

 -- Torsten Landschoff <torsten@debian.org>  Mon, 11 Jun 2012 22:55:25 +0200

swig2.0 (2.0.7-2) unstable; urgency=high

  * Switch to out-of-source build. 
  * Applied patch by Klaus Kämpf (applied upstream) to fix seg fault when
    attempting to warn about an illegal destructor (closes: #675196).

 -- Torsten Landschoff <torsten@debian.org>  Wed, 30 May 2012 22:20:51 +0200

swig2.0 (2.0.7-1) unstable; urgency=high

  * New upstream release 2.0.7 (closes: #674263).
  * Build-Depend on tcl-dev and tk-dev instead of tcl8.4-dev and tk8.4-dev
    (closes: #674540). 
  * debian/rules: Add binary-indep and binary-arch targets (lintian).
  * debian/control: Bump Standards-Version to 3.9.3 (no changes).
  * debian/patches/pyint_fromsize_t.diff: New patch to fix a regression of
    upstream r13106 when building for Python 3 (caught by FTBFS for hugin).

 -- Torsten Landschoff <torsten@debian.org>  Mon, 28 May 2012 17:58:26 +0200

swig2.0 (2.0.6-1) unstable; urgency=low

  * Merge upstream changes for 2.0.6.
    + Includes patches to slicing bugs (closes: #673544).
  * debian/control: Narrow the dependency of swig on swig2.0 to require
    the newest version as suggested by Andreas Metzler.

 -- Torsten Landschoff <torsten@debian.org>  Tue, 22 May 2012 00:23:15 +0200

swig2.0 (2.0.5-1) unstable; urgency=low

  * New upstream release 2.0.5.
    + Removed patch python_map.patch (applied upstream).
    + Removed patch fix_overflow_errors_64bitint (fixed upstream).
    + Removed patches pulled from upstream.
    + Adds support for Lua 5.2 (closes: #670203).

 -- Torsten Landschoff <torsten@debian.org>  Thu, 26 Apr 2012 22:18:39 +0200

swig2.0 (2.0.4-5) unstable; urgency=low

  * Fix invalid conversion from 'const char*' to 'char*' (closes: #657091).
    Patch provided by Lior Kaplan.

 -- Torsten Landschoff <torsten@debian.org>  Tue, 24 Jan 2012 18:58:13 +0100

swig2.0 (2.0.4-4) unstable; urgency=low

  * Acknowledge NMU, thanks again Luca (and Jonathan for the patch).
  * Merge revision 12814 from upstream (closes: #642202).
  * Merge revision 12780 from upstream (closes: #468414). 

 -- Torsten Landschoff <torsten@debian.org>  Tue, 20 Sep 2011 22:45:05 +0200

swig2.0 (2.0.4-3.1) unstable; urgency=low

  * Non-maintainer upload.

  [ Jonathan Nieder ]
  * Put swig2.0(1) manpage in the swig2.0 package, instead of whatever
    architecture-dependent package happened to be processed first.
  * swig2.0 Breaks and Replaces swig (<< 2.0.4-3.1) (Closes: #639521).

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 18 Sep 2011 01:32:41 +0200

swig2.0 (2.0.4-3) unstable; urgency=low

  * Acknowledge changes by Luca Falavigna - thanks.
  * Applied the patch by Chris Butler to fix wrapper generation on i386 for
    perl compiled with -Duse64bitint (closes: #579450).

 -- Torsten Landschoff <torsten@debian.org>  Fri, 19 Aug 2011 23:37:01 +0200

swig2.0 (2.0.4-2.1) unstable; urgency=low

  * Non-maintainer upload.

  [ Sebastian Ramacher ]
  * debian/patches/python_map.patch:
    - Let std::map honour all four template arguments to fix FTBFS in
      related packages (Closes: #633736).

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 14 Aug 2011 17:27:18 +0200

swig2.0 (2.0.4-2) unstable; urgency=low

  * Take over swig, swig-doc and swig-examples binary packages from swig1.3.

 -- Torsten Landschoff <torsten@debian.org>  Sun, 19 Jun 2011 01:14:53 +0200

swig2.0 (2.0.4-1.1) unstable; urgency=low

  * Non maintainer upload.
  * Replace obsolete gij/gcj build dependencies with gcj-jdk. Closes: #628377.

 -- Matthias Klose <doko@debian.org>  Tue, 31 May 2011 13:22:19 +0200

swig2.0 (2.0.4-1) unstable; urgency=low

  * New upstream release.
  * patches/upstream_r12653.diff: Removed (included upstream).

 -- Torsten Landschoff <torsten@debian.org>  Tue, 24 May 2011 08:52:30 +0200

swig2.0 (2.0.3-2) unstable; urgency=low

  * Package a snapshot of the upcoming upstream release 2.0.4. This matches
    upstream revision r12653.
    + Fixes building of Python 3.2 bindings (closes: #622980).

 -- Torsten Landschoff <torsten@debian.org>  Tue, 03 May 2011 22:34:43 +0200

swig2.0 (2.0.3-1) unstable; urgency=low

  * New upstream release 2.0.3.
  * Add debian/watch file for uscan (closes: #611879).
  * Provide /usr/bin/swig in swig2.0 (closes: #620954).

 -- Torsten Landschoff <torsten@debian.org>  Sun, 10 Apr 2011 20:42:11 +0200

swig2.0 (2.0.2-1) unstable; urgency=low

  * New upstream release 2.0.2.

 -- Torsten Landschoff <torsten@debian.org>  Sat, 26 Feb 2011 00:56:56 +0100

swig2.0 (2.0.1-2) unstable; urgency=low

  * debian/control: Fix build dependency on pcre3 which should be available on
    mips, mipsel and m68k as well.

 -- Torsten Landschoff <torsten@debian.org>  Thu, 23 Dec 2010 00:06:42 +0100

swig2.0 (2.0.1-1) unstable; urgency=low

  * Merge new upstream release 2.0.1.
  * Remove dependency on quilt and usage in debian/rules, the new source
    format will take care of that.
  * Remove patch fix-cleaning.diff (applied upstream).
  * Remove patch keep_docs.diff (applied upstream).

 -- Torsten Landschoff <torsten@debian.org>  Sun, 19 Dec 2010 18:25:59 +0100

swig2.0 (2.0.0-1) unstable; urgency=low

  * New upstream release (closes: #584324).
  * Create a new swig2.0 package for unstable. Most packages should be
    able to build with 2.0 instead of 1.3 but the version detection
    in most configure scripts is flawed.
  * Fix the most important lintian complaints:
    + debian/control:
      o Update Standards-Version to 3.9.0 (no changes).
      o Add ${misc:Depends} to all binary dependencies.
    + debian/rules:
      o Fix invocation order for dh_makeshlibs.
      o Replace "dh_clean -k" with dh_prep.
    + debian/swig2.0-doc.doc-base: Fixed references into wrong package.
    + debian/swig.1: Renamed to swig2.0-1 to match with the binary.
  * Use dh-autoreconf for cleaning up after autotools.
  * Fixed "make distclean" in upstream Makefile.in. The first time for
    years that "debian/rules clean" actually completes successfully.
  * debian/control: Bump Standards-Version to 3.9.1 (no changes).
  * debian/copyright: Update for upstream license change to GPLv3.

 -- Torsten Landschoff <torsten@debian.org>  Sat, 28 Aug 2010 22:59:01 +0200

swig1.3 (2.0.0~r12020-1) experimental; urgency=low

  * Experimental package of upcoming 2.0 release targetting experimental.
  * Switch to source format 3.0 (quilt).

 -- Torsten Landschoff <torsten@debian.org>  Wed, 12 May 2010 18:57:28 +0200

swig1.3 (1.3.40-3) unstable; urgency=low

  * debian/control: Line wrap build dependencies (closes: #556356).
    Thanks to Benjamin Drung.
  * debian/control: Remove version from python-dev dependency (not sure why
    it was added). This makes it buildable in sid again (closes: #588573).
  * debian/compat: Bump to 7 (which was available even in lenny).
  * debian/source/format: Switch to "3.0 (quilt)".

 -- Torsten Landschoff <torsten@debian.org>  Sun, 15 Nov 2009 23:57:17 +0100

swig1.3 (1.3.40-2) unstable; urgency=low

  * Retarget for unstable.

 -- Torsten Landschoff <torsten@debian.org>  Wed, 21 Oct 2009 20:03:54 +0200

swig1.3 (1.3.40-1) experimental; urgency=low

  * New upstream release (closes: #543684).

 -- Torsten Landschoff <torsten@debian.org>  Sat, 17 Oct 2009 14:48:41 +0200

swig1.3 (1.3.39-2) unstable; urgency=low

  * Merge upstream changeset 11213, fixing the Subversion bindings.

 -- Torsten Landschoff <torsten@debian.org>  Sat, 08 Aug 2009 15:00:32 +0200

swig1.3 (1.3.39-1) experimental; urgency=low

  * New upstream release.
  * debian/control: Remove ocaml from Build-Depends (not available in sid
    right now). Probably we can drop most of the build depends anyway, they
    do not affect the swig binary AFAIK. However, when running the test
    suite, we should better have them available...
  * debian/rules: Use DH_ALWAYS_EXCLUDE=.svn to support building directly
    from Subversion checkout.

 -- Torsten Landschoff <torsten@debian.org>  Fri, 07 Aug 2009 00:22:56 +0200

swig1.3 (1.3.38-1) experimental; urgency=low

  * Apply patch by Petr Salinger to enable java bindings for GNU/kFreeBSD
    (closes: #497789).
  * New upstream release (closes: #514060).
  * Remove patch to config.guess, config.sub (upstream is up-to-date).
  * Update patch to keep documentation files in make clean.
  * Use python2.5 instead of python2.4.
  * Install Examples/php instead of Examples/php4 (which is no longer).

 -- Torsten Landschoff <torsten@debian.org>  Thu, 26 Feb 2009 16:16:07 +0100

swig1.3 (1.3.36-1) unstable; urgency=low

  * New upstream release (closes: #488342).
    + debian/patches: Remove obsolete patches.
  * debian/rules: Build without mzscheme for now as the configure script 
    breaks as it can't mute the banner anymore (--mute-banner does not 
    work anymore).

 -- Torsten Landschoff <torsten@debian.org>  Sun, 06 Jul 2008 03:07:56 +0200

swig1.3 (1.3.35-4) unstable; urgency=low

  * Acknowledge NMUs (closes: #476718, #477906). Thanks, guys!
  * Apply patch from Barry deFreese to Wad proof-of-concept that is 
    not actually built (closes: #469006).
  * debian/control: Update Build-Depends on guile to version 1.8 as 
    1.6 is quite outdated already (closes: #477521).
  * debian/control: Re-add armel and armeb to the target platforms
    which have gcj and gij again (closes: #479113).
  * debian/patches/swig-svn-r10376.diff: Import upstream changes of 
    revision 10376 by request of Soeren Sonnenburg.
  * Lintian fixes:
    + debian/swig-doc.doc-base: Fix section (was Apps/Programming, now
      just Programming). Remove leading whitespace in abstract.
    + debian/control: Upgrade Standards-Version to 3.7.3 (no changes
      required).
    + debian/control: Fix spelling Ocaml -> OCaml.

 -- Torsten Landschoff <torsten@debian.org>  Sun, 04 May 2008 21:09:47 +0200

swig1.3 (1.3.35-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Remove Build-Depends: gij, gcj on alpha, arm, and hurd-i386.
    (Closes: #477906)

 -- Torsten Werner <twerner@debian.org>  Sat, 26 Apr 2008 18:08:59 +0200

swig1.3 (1.3.35-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Allow python2.5 in Build-Depends. (Closes: #476718)

 -- Torsten Werner <twerner@debian.org>  Wed, 23 Apr 2008 19:49:22 +0200

swig1.3 (1.3.35-3) unstable; urgency=low

  * debian/patches/octave_fixes_r10367_10373.diff: Include upstream 
    changes between revisions 10367 and 10373. This fixes some bugs
    in the octave wrappers as requested by Soeren Sonnenburg.

 -- Torsten Landschoff <torsten@debian.org>  Thu, 17 Apr 2008 08:49:55 +0200

swig1.3 (1.3.35-2) unstable; urgency=low

  * Include examples for R and octave (closes: #475409).
  * Patch Lib/r/rfragments.swg to use mkCharLen to create a string 
    object given the character content and the length. mkCharEnc 
    does not look like it is the right function for this. :)
    Thanks to Soeren Sonnenburg. (closes: #475494).

 -- Torsten Landschoff <torsten@debian.org>  Tue, 15 Apr 2008 23:56:33 +0200

swig1.3 (1.3.35-1) unstable; urgency=low

  * New upstream release (closes: #473720).
  * debian/patches/fix_lua_unary_minus.diff: Remove, was merged upstream.

 -- Torsten Landschoff <torsten@debian.org>  Tue, 08 Apr 2008 22:35:13 +0200

swig1.3 (1.3.33-3) unstable; urgency=low

  * debian/rules: Add "-g -O2" to the CFLAGS (originally obtained from the 
    perl configuration). This should speed up swig while making debugging
    easier.
  * debian/patches/fix_lua_unary_minus.diff: Fix the handling of 
    overloading the unary minus operator for LUA (closes: #461494).
  * debian/control: Depend on quilt >= 0.40 instead of 0.40-1 (lintian).
  * debian/swig.dirs: Remove /usr/lib which was empty (lintian).

 -- Torsten Landschoff <torsten@debian.org>  Mon, 11 Feb 2008 18:38:17 +0100

swig1.3 (1.3.33-2) unstable; urgency=low

  * debian/rules: Only run make distclean if the Makefile exists to make 
    sure the clean target works after a fresh unpack (closes: #453201).

 -- Torsten Landschoff <torsten@debian.org>  Wed, 28 Nov 2007 22:51:47 +0100

swig1.3 (1.3.33-1) unstable; urgency=low

  * New upstream release (closes: #452649).
    + debian/patches/configguesssub.diff: Refreshed for new upstream 
      release.

 -- Torsten Landschoff <torsten@debian.org>  Sun, 25 Nov 2007 18:52:07 +0100

swig1.3 (1.3.31-4) unstable; urgency=low

  * debian/patches/keep_docs.diff: Change Doc/Manual/Makefile to keep 
    it from removing the documentation files on clean. They are included
    in the distribution and therefore should not get removed after the 
    build (closes: #441728).
    + debian/rules: Change clean target so that the patches are 
      unapplied after cleaning the sources to make this change effective.

 -- Torsten Landschoff <torsten@debian.org>  Thu, 01 Nov 2007 19:58:16 +0100

swig1.3 (1.3.31-3) unstable; urgency=low

  * debian/control: Build-Depend on php5-dev instead of the obsolete 
    php4-dev (closes: #429231).
    + While we are at it: Remove pike dependencies.
    + Remove Java dependencies on armeb and armel. Kudos to Riku Voipio
      for the patch.

 -- Torsten Landschoff <torsten@debian.org>  Sun, 26 Aug 2007 01:21:40 +0200

swig1.3 (1.3.31-2) unstable; urgency=low

  * Lib/lua/luarun.swg: Include stdlib.h instead of the non-standard malloc.h
    (closes: #439151).
  * debian/patches/series: Remove noproxy_setfault_fix.diff as it was applied 
    upstream. 

 -- Torsten Landschoff <torsten@debian.org>  Wed, 22 Aug 2007 21:29:04 +0200

swig1.3 (1.3.31-1) unstable; urgency=low

  * New upstream release (closes: #401211).
 
 -- Torsten Landschoff <torsten@debian.org>  Sat,  2 Dec 2006 01:56:34 +0100

swig1.3 (1.3.29-2.1) unstable; urgency=medium

  * Non-maintainer upload, BSP Zurich/Switzerland.
  * Moving quilt from build-depends-indep to build-depends
    (Closes: #382096, #385080).
  * Added kfreebsd-amd64 to build-depends ignores (Closes: #361482).

 -- Daniel Baumann <daniel@debian.org>  Sat,  9 Sep 2006 12:41:00 +0200

swig1.3 (1.3.29-2) unstable; urgency=medium

  * Adopt to new default python version (closes: #384212).
    + debian/rules: Change python interpreter to /usr/bin/python2.4.
    + debian/control: Update build-dependencies.
  * debian/control: Add version for debhelper build dependency (linda).

 -- Torsten Landschoff <torsten@debian.org>  Tue, 22 Aug 2006 23:53:22 +0200

swig1.3 (1.3.29-1) unstable; urgency=low

  * New upstream release (closes: #362775).
  * Acknowledge non-maintainer upload, thanks Kurt! (closes: #359941).
  * Use quilt for patch maintenance, move config.sub and config.guess 
    patches to debian/patches.
  * debian/rules: Tidy some old cruft (more to be done here). 
    + clean: Remove all generated files.
  * debian/slapd.links: Swapped original file and link to not overwrite 
    the real binary with a broken link.
  * noproxy_segfault_fix.diff: Fix segmentation fault with -python -noproxy
    (closes: #381707).
  * format_percent.diff: Pass "%%" to output a single '%' in lang.cxx.
 
 -- Torsten Landschoff <torsten@debian.org>  Mon,  7 Aug 2006 23:17:07 +0200

swig1.3 (1.3.28-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Change build depedency from chicken-dev to libchicken-dev
    (Closes: #359941)

 -- Kurt Roeckx <kurt@roeckx.be>  Thu, 30 Mar 2006 19:12:09 +0200

swig1.3 (1.3.28-1) unstable; urgency=low

  * New upstream release (closes: #354699).
  * debian/swig-doc.doc-base: Add control file to register SWIG documentation
    for doc-base (closes: #273286).
    + debian/rules: Exclude PDF files from dh_compress.

 -- Torsten Landschoff <torsten@debian.org>  Tue, 28 Feb 2006 21:57:40 +0100

swig1.3 (1.3.27-2) unstable; urgency=low

  * Fix FTBFS on GNU/kFreeBSD missing java support by disabling java
    there, patch by Aurelien Jarno (closes: #341837).
  * debian/control: Change the swig-examples description to no longer
    refer to version 1.1 (closes: #302051).
  * debian/rules (clean): Don't remove example php4 makefiles anymore.
  * debian/swig-examples.examples: Include lua and modula3 examples
    (closes: #344225).
  * debian/rules (clean): Do make distclean before killing autoconf 
    output. The other way round it will try to reconfigure...

 -- Torsten Landschoff <torsten@debian.org>  Sat,  4 Feb 2006 02:11:39 +0100

swig1.3 (1.3.27-1) unstable; urgency=low

  * New upstream release.
  * Resync with upstream. Seems like I accidently got some files removed
    from the package by bad merging.
  * debian/swig.1: Fix typo in manpage leading to man error message.
  * debian/control: Correct bad policy version (lintian).
  * debian/rules: Remove configure.{status,log} in clean target (lintian).
  * Remove changelog.gz from swig1.3 package and replace it by a symlink
    (closes: #275898).
  * Update debhelper compat level to 4. Rename files accordingly.

 -- Torsten Landschoff <torsten@debian.org>  Wed, 23 Nov 2005 00:54:00 +0100

swig1.3 (1.3.25-1) unstable; urgency=low

  * New upstream release (closes: #293325).
    + Includes fix to resource leak when using default arguments in 
      constructors (closes: #297335).
    + Puts -help and -version output on stdout (closes: #285038).

 -- Torsten Landschoff <torsten@debian.org>  Thu, 22 Sep 2005 09:59:22 +0200

swig1.3 (1.3.24-1) unstable; urgency=low

  * New upstream release (closes: #290895, #293694):
    + Implements C# optional parameters (closes: #283314).
  * Update config.guess, config.sub.
  * Adjust for new pike version 7.6.
  * Work around broken automake refresh feature
  * Don't try to build/install runtime anymore
  * Kill meta data for runtime packages
  * Include CHANGES.current in the package (closes: #273912)

 -- Torsten Landschoff <torsten@debian.org>  Sat, 12 Feb 2005 17:12:09 +0100

swig1.3 (1.3.22-6) unstable; urgency=low

  * Apply patch to fix breakage when returning const C++ objects
    (closes: #294241). Thanks to Jeremy H. Brown for pointing this out.

 -- Torsten Landschoff <torsten@debian.org>  Tue,  8 Feb 2005 20:26:27 +0100

swig1.3 (1.3.22-5) unstable; urgency=medium

  * debian/README.Debian: Add a note about the right compiler options
    when building swig modules (closes: #280923).
  * Lib/python/pystrbase.swg: Fix handling of char array: Do not 
    copy null bytes anymore (closes: #281956).

 -- Torsten Landschoff <torsten@debian.org>  Sat, 20 Nov 2004 09:48:53 +0100

swig1.3 (1.3.22-4) unstable; urgency=low

  * debian/control: Add build dependency on libpcre3-dev pulled by
    chicken. Should be fixed in chicken-dev but this way it builds
    again. closes: #280500.
 
 -- Torsten Landschoff <torsten@debian.org>  Wed, 10 Nov 2004 00:41:09 +0100

swig1.3 (1.3.22-3) unstable; urgency=high

  * Urgency high because sarge is waiting for a fixed swig. This 
    version should build on mips{,el} and m68k as well.
  * debian/rules: Fix reference to libswig1.2.21-chicken which is 
    now libswig1.3.22-chicken. 

 -- Torsten Landschoff <torsten@debian.org>  Sat, 16 Oct 2004 09:14:17 +0200

swig1.3 (1.3.22-2) unstable; urgency=low

  * configure.in: Add Runtime/Makefile to the list of generated files.
  * Readded the runtime library packages.
    + debian/control: Add libswig1.3.22*
    + Makefile.in: Recreate targets for runtime.
    + autogen.sh: Run libtoolize (needed for the libs).
    + configure.in: Remove AC_COMPILE_WARNINGS (breaks ruby include).
      Add release_suffix_libtool variable.
    + Source/Makefile.in: Add "release_suffix_libtool" variable.
    + debian/rules: Build runtime targets, change release suffix to 1.3.22.
  * Rerun autogen.sh...

 -- Torsten Landschoff <torsten@debian.org>  Tue, 28 Sep 2004 13:41:01 +0200

swig1.3 (1.3.22-1) unstable; urgency=low

  * New upstream release (closes: #273129).
  * Rerun autogen.sh (because of patched configure.in).
  * debian/rules: Don't build and don't install runtime.
  * debian/control: Remove libswig* packages (used to contain the 
    runtime support libraries).
  * debian/control: Bump standards-version to 3.6.1 (no changes).
  * debian/links: Remove links for libswig*. Fix /usr/bin/swig link to point 
    to swig1.3 instead of 1.3.21.
  * debian/rules: Make the name of the executable swig-1.3 instead of 
    swig-1.3.21.

 -- Torsten Landschoff <torsten@debian.org>  Sat, 25 Sep 2004 16:42:18 +0200

swig1.3 (1.3.21-5) unstable; urgency=low

  * Acknowledge NMUs (closes: #248822, #246452). Thanks, Matthias!
  * Supply a man page for swig (closes: #224291).

 -- Torsten Landschoff <torsten@debian.org>  Sat, 22 May 2004 01:45:24 +0200

swig1.3 (1.3.21-4.3) unstable; urgency=low

  * NMU.
  * Let libswig1.3.21 conflict with libswig1.1, libswig1.3 (closes: #248822).

 -- Matthias Klose <doko@debian.org>  Tue, 18 May 2004 06:01:47 +0200

swig1.3 (1.3.21-4.2) unstable; urgency=low

  * NMU.
  * Fix FTBFS on architectures that have chicken support disabled.

 -- Matthias Klose <doko@debian.org>  Sat,  8 May 2004 10:19:12 +0200

swig1.3 (1.3.21-4.1) unstable; urgency=medium

  * NMU.
  * Add php4-cgi to build dependencies (closes: #246452).

 -- Matthias Klose <doko@debian.org>  Sat,  8 May 2004 08:31:57 +0200

swig1.3 (1.3.21-4) unstable; urgency=low

  * debian/control: Remove Conflicts-Depends-cycle between swig and 
    swig1.3 as proposed by Jeroen van Wolffelaar (closes: #231854).
    And of course those cycles for the -doc and -examples packages as
    well.
  * debian/control: Make swig1.3 depend on at least version 1.3.0 of swig.

 -- Torsten Landschoff <torsten@debian.org>  Mon, 19 Apr 2004 10:56:16 +0200

swig1.3 (1.3.21-3) unstable; urgency=low

  * Split off chicken and guile runtime support into different packages
    to reduce dependency load... (closes: #231701).

 -- Torsten Landschoff <torsten@debian.org>  Tue,  6 Apr 2004 09:11:53 +0200

swig1.3 (1.3.21-2) unstable; urgency=low

  * Applied patch courtesy of David Kimdon:
  + Include full version number in soname (closes: #234028). 
    - debian/control : Rename libswig1.3 package to libswig1.3.21.
    - debian/libswig1.3.files debian/libswig1.3.postinst : Rename these
      files to use the full 1.3.21 version.
    - debian/links : Symlinks need to use full 1.3.21 version.
    - debian/rules : Pass 1.3.21 release suffix to configure.
      Fix definition of SWIG in example Makefiles.  That doesn't need 
      to include the version number since we have the 
      swig -> swig-1.3.21 link.

 -- Torsten Landschoff <torsten@debian.org>  Sun, 14 Mar 2004 20:58:19 +0100

swig1.3 (1.3.21-1) unstable; urgency=low

  * New upstream release (closes: #225036).
  * debian/rules: Updated clean target to only remove stuff that's
    actually there.
  * debian/swig-examples.examples: Adapt to removal of Examples/perl
    and addition of Examples/contract.
  * Makefile.in (install-m4): Obey $(DESTDIR) setting.
  * Fixed pike support:
    - debian/control: Add build dependency pike7.4-dev.
    - debian/rules: Pass pike include path to configure.
  * configure.in: Fix checking for php4 includes (uses php4-config
    which is not there on Debian and overwrite the manually passed
    include path using the output of that non-existing program).
  * debian/rules: Call runtime and install-runtime targets as well
    to actually build the runtime libraries (which were built by
    default before).

 -- Torsten Landschoff <torsten@debian.org>  Sat,  7 Feb 2004 00:56:55 +0100

swig1.3 (1.3.19-2) unstable; urgency=low

  * Acknowledge NMU (closes: #202036, #199738). Thanks, Matthias!
  * debian/control: Rename swig1.3 -> swig in binary packages.
    This way we replace all binary packages of the former swig 
    source package...
    + It does not need to build anymore (closes: #160316).
    + The error in the old description will die with it (closes: #209726).
    + Our examples deal with current perl already (closes: #107979).
    + We have no dangling manpage link (closes: #185271). In fact I 
      think the bug never applied to swig.
    + New swig already has Java support enabled (closes: #178237).
    + And Perl 5.8 is already supported (closes: #155004).
  * debian/rules: Merge the commands for swig-doc and swig-examples into
    a single binary-indep target.

 -- Torsten Landschoff <torsten@debian.org>  Wed, 22 Oct 2003 22:43:10 +0200

swig1.3 (1.3.19-1.1) unstable; urgency=low

  * NMU.
  * Fix gcj/gij build-depends, leave them out for hppa, mips, mipsel.
    Closes: #202036.
  * Leave out chicken build-depends for m68k, mips, mipsel.
  * Fix ruby build depends (ruby1.8, ruby1.8-dev).
  * Fix guile build depends.
  * Fix pike build depends.
  * Remove paragraph about alpha status in package description.
    Closes: #199738.

 -- Matthias Klose <doko@debian.org>  Sun,  7 Sep 2003 11:36:08 +0200

swig1.3 (1.3.19-1) unstable; urgency=low

  * New upstream release. (Closes: #163215, #138980, #186455)
  * Swig1.3 now follows policy version 3.5.9.
  * Added the previously nonexistant package swig1.3-doc. (Closes: #169422)
  * Added the correct supported languages to description. (Closes: #156376)
  * Fixed description synopses.
  * Added chicken-dev, gcj-3.2, and gij-3.2 to the build-depends.
  * We now build with Java support as well, thanks to gcj. Hurray for gcj!
  * Bumped tcl/tk 8.3-dev to tcl/tk 8.4-dev in the build-depends
  * Updated Ye Olde README.Debian.
  * Runtime/Makefile.in: Pass $(PERL5_CCFLAGS) when building the perl
    parts.

 -- Morgon Kanter <morgon@surgo.net>  Fri, 18 Apr 2003 14:33:30 -0400

swig1.3 (1.3.17-1) unstable; urgency=low

  * New upstream release.
  * Runtime/Makefile.in: Remove the perl hack.
  * debian/rules: Pass the CFLAGS used to build perl to the configure script.
    This should hopefully enable building of the perl module again.
  * configure.in: Apply David's TCL patch and rerun autoconf.
  * debian/rules: Clean up symlinks created by the build.

 -- Torsten Landschoff <torsten@debian.org>  Thu, 28 Nov 2002 12:25:28 +0100

swig1.3 (1.3.15-1) unstable; urgency=low

  * New upstream release.

 -- Torsten Landschoff <torsten@debian.org>  Thu, 19 Sep 2002 01:03:13 +0200

swig1.3 (1.3.14-1) unstable; urgency=low

  * New upstream release (closes: #157108).
    + The missing ")" at Lib/perl5/std_string.i:48 was added upstream 
      (closes: #158420).
  * Lib/guile/typemaps.i: Fix passing of structures by value (closes: #156902).
  * debian/control: Add build dependency on ocaml, pike7.2 and update python 
    version to 2.2. 
  * debian/control: Pass /usr/bin/python2.2 as python path.
  * Tools/check-include-path.pike: Just return "/usr/include/pike7.2". 
    Ugly hack, but I want it to work now. A proper patch will follow.
  * Runtime/Makefile.in: Another ugly hack. When generating libperl.c, 
    drop the first #include <string.h>, as it breaks the perl headers 
    for some obfuscated reason.

 -- Torsten Landschoff <torsten@debian.org>  Tue,  3 Sep 2002 23:21:23 +0200

swig1.3 (1.3.13-1) unstable; urgency=low

  * New upstream release.

 -- Torsten Landschoff <torsten@debian.org>  Thu, 18 Jul 2002 17:17:09 +0200

swig1.3 (1.3.11-1) unstable; urgency=low

  * New upstream release (closes: #138979).
  * Make swig1.3 depend on libswig1.3 as it includes symlinks to files 
    of that package (closes: #140287).

 -- Torsten Landschoff <torsten@debian.org>  Fri, 29 Mar 2002 01:56:07 +0100

swig1.3 (1.3.10-1) unstable; urgency=low

  * New upstream release.
  * debian/rules (clean): Remove .../config.log and generated files.
  * debian/rules (build): 
    + Use python2.1 instead of 1.5.
    + Seperately building the "runtime" target not longer needed.
    + Pass skip-java to the make invocations (I have java on my system
      for my computer science studies, but I don't want to move swig to 
      contrib)
    + Enable building of php4 and Mzscheme support.
  * debian/control (Build-Depends): 
    + Force python-dev to be 2.1*
    + Add libguile-dev, mzscheme-dev, php4-dev
  * debian/dirs: Better add /usr/lib if we want it to build...
  * Split off the libswig1.3 package containing just the runtime 
    libraries which are now really build. swig1.3 now depends on 
    that package, therefore the installation is now complete
    (closes: #123434).
  * debian/rules (binary): Run dh_makeshlibs to build the shlibs files 
    for the runtime in libswig1.3 (closes: #108040).
  * debian/rules (swig1.3-doc-pdf): Remove target as the package did never
    exist...
  * debian/control: Make swig1.3 conflict with and replace swig and
    remove "[alpha]" from the Description.
  * debian/libswig1.3.postinst: Call ldconfig (lintian).
  * debian/rules (build): Set PHP4INC before running configure to 
    get around the configure.in incapability.
  * debian/rules: Remove the old filter on the Makefiles of the examples 
    and run a new one to set the path to swig correctly
    (hopefully fixes #107929).

 -- Torsten Landschoff <torsten@debian.org>  Sun, 13 Jan 2002 16:35:56 +0100

swig1.3 (1.3.9-1) unstable; urgency=low

  * New upstream release (closes: #107846).
  * Get the ruby support built in (closes: #105320):
    + debian/control: Depend on ruby along with ruby-dev.
    + debian/rules: Pass "--with-ruby=/usr/bin/ruby" to ./configure.
  * debian/rules: Did not find tcl anymore - added path to tclConfig.sh 
    to the ./configure invocation.
  * debian/rules (install-stamp): The old way of overriding the
    installation root for the install target does not work anymore, but
    DESTDIR is supported now so use that for installation.
  * debian/rules (clean): Remove all config.status files (collect them
    using find, I am lazy this time). Found by lintian.
  * debian/rules: Remove invocation of dh_suidregister (build message).

 -- Torsten Landschoff <torsten@debian.org>  Tue,  4 Dec 2001 22:15:26 +0100

swig1.3 (1.3a5-2) unstable; urgency=low

  * Source/Include/swigconfig.h: Adjust definition of SWIG_LIB
  * Makefile.in: Likewise (closes: #107928, #108337, #110280).
  * debian/rules: Do not overwrite SWIG_LIB when calling make 
    anymore. 
  * debian/control: Make swig1.3-examples depend on swig1.3 instead
    of swig (closes: #108435).

 -- Torsten Landschoff <torsten@debian.org>  Tue, 28 Aug 2001 21:05:30 +0200

swig1.3 (1.3a5-1) unstable; urgency=low

  * New upstream release.
  * Build a new set of swig packages of the development branch since 
    some projects already rely on it.
  * debian/control: Modify the Package: lines accordingly.
  * debian/control: Add build dependency on ruby-dev.

 -- Torsten Landschoff <torsten@debian.org>  Tue, 26 Jun 2001 23:27:36 +0200

swig (1.1.p883-2) unstable; urgency=low

  * debian/control: Move swig-doc-pdf to section: doc (dinstall-warning).
  * debian/control: Build-Depend on python-dev so the sparc build will
    hopefully work...

 -- Torsten Landschoff <torsten@debian.org>  Mon,  4 Jun 2001 01:57:01 +0200

swig (1.1.p883-1) unstable; urgency=low

  * New upstream release (closes: #77712).
  * debian/rules: 
    + Automatically run all tests after building.
    + Remove upstream install instructions (lintian).
  * debian/control:
    + Add Build-Depends.
    + Update policy to 3.5.2.

 -- Torsten Landschoff <torsten@debian.org>  Wed, 18 Apr 2001 22:28:00 +0200

swig (1.1.p5-6) unstable; urgency=low

  * 2nd trial: I forgot that I did a new package version at work so I
    redid some of my work with another 1.1.p5-5 release 8-/
  * Changed reference to the SWIG homepage to www.swig.org 
    (thanks to Dirk Eddelbuettel for pointing this out).
  * Moved some of the documentation files around. Looks more logical this 
    way.

 -- Torsten Landschoff <torsten@debian.org>  Sat, 20 Nov 1999 01:09:11 +0100

swig (1.1.p5-5) unstable; urgency=low

  * Update to policy 3.0.1 fixing most of those nasty lintian complaints.

 -- Torsten Landschoff <torsten@debian.org>  Tue, 12 Oct 1999 11:31:14 +0200

swig (1.1.p5-4) unstable; urgency=low

  * Used guile-config to get linking options in examples/Makefile 
    (closes: #34038).
  * Applied patch from Drake Diedrich to support Polymorphic return types.
    The development release already has this patch but it might take a
    while to get ready for prime time. As the patch seems not to break
    anything I included it for Debian (closes: #39927, #39946).
  * Patched the source to compile with gcc 2.95.

 -- Torsten Landschoff <torsten@debian.org>  Wed,  1 Sep 1999 15:40:23 +0200

swig (1.1.p5-3) unstable; urgency=low

  * Changed encoding of upstream version to avoid epochs (closes: #20068)
  * Added suggestions for -examples and -doc (closes: #32722)
  * New maintainer.
  * New binary all package for PDF documentation.

 -- Torsten Landschoff <torsten@debian.org>  Sat, 10 Jul 1999 17:34:26 +0200

swig (1.1p5-2) frozen unstable; urgency=low

  * debian/rules: Build runtime library for Tcl 8.x (closes Bug#22075).
    Thanks to Jacob de Bree <J.deBree@radth.med.uu.nl> for the fix!
  * debian/{control,rules}: swig-examples is "Architecture: all".
  * Rebuilt with libstdc++2.9.

 -- Gregor Hoffleit <flight@debian.org>  Mon,  2 Nov 1998 15:25:30 +0100

swig (1.1p5-1) unstable; urgency=low

  * New maintainer.

 -- Gregor Hoffleit <flight@debian.org>  Sun, 15 Mar 1998 22:38:33 +0100

swig (1.1p5-0.1) unstable; urgency=low

  * Non-maintainer release.
  * New upstream version.
  * Convert to libc6.

 -- Gregor Hoffleit <flight@debian.org>  Mon,  9 Mar 1998 20:47:07 +0100

swig (1.1.b5.p2-1) contrib; urgency=low

  * Initial release.

 -- Klee Dienes <klee@debian.org>  Fri, 7 Feb 1997 10:49:04 -0500


